Vector Store Connectors
Lista de conectores del almacén de vectores
Conectores creados por el principal del llamante, o todos los conectores de la organización para un administrador de la organización. vector_store_id responde a qué alimenta un almacén.
GET
/
api
/
v1
/
llm
/
vector_stores
/
connectors
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ListVectorStoreConnectorsRequest req = new ListVectorStoreConnectorsRequest() {};
var res = await sdk.Llm.VectorStores.Connectors.ListAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.connectors.list(limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.connectors.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.VectorStores.Connectors.List(ctx, operations.ListVectorStoreConnectorsRequest{})
if err != nil {
log.Fatal(err)
}
if res.VectorStoreConnectorList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/connectors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"object": "vector_store.connector",
"type": "s3",
"name": "<string>",
"location": {
"bucket": "<string>",
"region": "<string>",
"prefix": "",
"endpoint": "<string>"
},
"credentials_configured": true,
"api_key_id": "<string>",
"include_patterns": [
"<string>"
],
"exclude_patterns": [
"<string>"
],
"chunking_strategy": {
"type": "auto"
},
"auto_sync": true,
"sync_interval_minutes": 0,
"next_sync_at": 0,
"status": "idle",
"last_error": "<string>",
"last_run": {
"id": "<string>",
"object": "vector_store.connector.run",
"status": "running",
"trigger": "schedule",
"started_at": 0,
"finished_at": 0,
"added": 0,
"updated": 0,
"removed": 0,
"restored": 0,
"skipped": 0,
"failed": 0,
"error": "<string>"
},
"vector_store_ids": [
"<string>"
],
"created_at": 0,
"updated_at": 0
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true
}Autorizaciones
Parámetros de consulta
¿Esta página le ayudó?
⌘I
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ListVectorStoreConnectorsRequest req = new ListVectorStoreConnectorsRequest() {};
var res = await sdk.Llm.VectorStores.Connectors.ListAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.connectors.list(limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.connectors.list({});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.VectorStores.Connectors.List(ctx, operations.ListVectorStoreConnectorsRequest{})
if err != nil {
log.Fatal(err)
}
if res.VectorStoreConnectorList != nil {
// handle response
}
}curl --request GET \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/connectors \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/vector_stores/connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/llm/vector_stores/connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/vector_stores/connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"object": "vector_store.connector",
"type": "s3",
"name": "<string>",
"location": {
"bucket": "<string>",
"region": "<string>",
"prefix": "",
"endpoint": "<string>"
},
"credentials_configured": true,
"api_key_id": "<string>",
"include_patterns": [
"<string>"
],
"exclude_patterns": [
"<string>"
],
"chunking_strategy": {
"type": "auto"
},
"auto_sync": true,
"sync_interval_minutes": 0,
"next_sync_at": 0,
"status": "idle",
"last_error": "<string>",
"last_run": {
"id": "<string>",
"object": "vector_store.connector.run",
"status": "running",
"trigger": "schedule",
"started_at": 0,
"finished_at": 0,
"added": 0,
"updated": 0,
"removed": 0,
"restored": 0,
"skipped": 0,
"failed": 0,
"error": "<string>"
},
"vector_store_ids": [
"<string>"
],
"created_at": 0,
"updated_at": 0
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true
}